import keyBy from 'lodash/keyBy';
import mapValues from 'lodash/mapValues';
import { apiReducer } from './util/ApiManager';
import schema from './schema/schema.json';

// Add JSON_API resources to this list to create reducers.
var resources = Object.keys(schema).map(function (resource) {
  return {
    resource: resource,
    strategy: 'overrideAll'
  };
});

var reducer = mapValues(keyBy(resources, function (r) {
  return r.resource;
}), function (r) {
  return apiReducer(r.resource, r.strategy);
});

export default reducer;