'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keyBy = require('lodash/keyBy');

var _keyBy2 = _interopRequireDefault(_keyBy);

var _mapValues = require('lodash/mapValues');

var _mapValues2 = _interopRequireDefault(_mapValues);

var _ApiManager = require('./util/ApiManager');

var _schema = require('./schema/schema.json');

var _schema2 = _interopRequireDefault(_schema);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Add JSON_API resources to this list to create reducers.
var resources = Object.keys(_schema2.default).map(function (resource) {
  return {
    resource: resource,
    strategy: 'overrideAll'
  };
});

var reducer = (0, _mapValues2.default)((0, _keyBy2.default)(resources, function (r) {
  return r.resource;
}), function (r) {
  return (0, _ApiManager.apiReducer)(r.resource, r.strategy);
});

exports.default = reducer;